Page MenuHomeFreeBSD

Improve svn copy documentation
ClosedPublic

Authored by romain on Oct 15 2017, 5:15 AM.

Details

Summary

The documentation incorrectly states that

% svn copy foo.c bar.c

and

% cp foo.c bar.c
% svn add bar.c

are equivalent. However, the first one keeps foo.c history and the second gets
rid of it, which is the reason why we do repocopies.

Fix this and explain the difference.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

romain created this revision.Oct 15 2017, 5:15 AM
romain removed a reviewer: jilles.

Added @wblock as a reviewer because he did the commit that introduced this ambiguity :-)

bcr added a subscriber: bcr.Oct 15 2017, 2:26 PM

Typo fix.

en_US.ISO8859-1/articles/committers-guide/article.xml
968 ↗(On Diff #34000)

s/usualy/usually/

romain updated this revision to Diff 34008.Oct 15 2017, 2:44 PM
romain marked an inline comment as done.

Fix typo

brd accepted this revision.Oct 17 2017, 2:27 PM
This revision is now accepted and ready to land.Oct 17 2017, 2:27 PM
allanjude accepted this revision.Oct 17 2017, 5:22 PM
allanjude added a subscriber: allanjude.

Approved

This revision was automatically updated to reflect the committed changes.
wblock added inline comments.Dec 8 2017, 6:07 PM
head/en_US.ISO8859-1/articles/committers-guide/article.xml
968

This sentence long and has a lot of information. Better to split.

Also, best to avoid possessives, which are rarely needed.

Suggested:

Using <command>svn copy</command> is usually preferable because it
keeps the history of the original file with the new file.  When the original file is manually
copied to a new file, then added to version control, the new file does not have the
commit history of the original.